package com.artfess.cqlt.dao;

import com.artfess.cqlt.model.QfOperationReductionsD;
import com.artfess.cqlt.vo.OpReportRespVo;
import com.artfess.cqlt.vo.OpReportReqVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 运营--年降数据填报详情表 Mapper 接口
 *
 * @company 阿特菲斯信息技术有限公司
 * @author 黎沐华
 * @since 2023-02-21
 */
public interface QfOperationReductionsDDao extends BaseMapper<QfOperationReductionsD> {

    List<OpReportRespVo> yearData(@Param("vo") OpReportReqVo t);

    List<OpReportRespVo> monthAnalysis(@Param("vo") OpReportReqVo t);

    List<OpReportRespVo> yearCustomerData(@Param("vo") OpReportReqVo t);

    List<OpReportRespVo> yearCustomerDetail(@Param("vo") OpReportReqVo t);
}
